Nolobe Blog

Interarchy 10.0.4 for OS X 10.9 Mavericks

Interarchy 10.0.4 for OS X 10.9 Mavericks is now available for download.

Interarchy 10.0.4 is a minor compatibility update for OS X 10.9 Mavericks. It removes some legacy code no longer relevant that was slowing the launch time of Interarchy on OS X 10.9.

Interarchy 10 requires Mac OS X 10.6 Snow Leopard or later. OS X 10.9 Mavericks or later is recommended. As always we recommend people keep up-to-date with the latest version of OS X.

Interarchy 10.0.4 is a free upgrade for anyone who has purchased Interarchy 10. It is recommended all Interarchy 10 customers update to Interarchy 10.0.4.

Interarchy 9 customers can purchase a discounted upgrade from the Nolobe Store.

New customers can download a fully functional demo version of Interarchy 10 or purchase a license from the Nolobe Store.